| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::SetupICC Class Reference
Inheritance diagram for Digikam::SetupICC:

## Public Types
enum | ICCTab { Behavior = 0 , Profiles , Advanced }

## Public Member Functions
| SetupICC (QDialogButtonBox *const dlgBtnBox, QWidget *const parent=nullptr)
ICCTab | activeTab () const
void | applySettings ()
void | setActiveTab (ICCTab tab)

## Static Public Member Functions
static bool | iccRepositoryIsValid ()

## Constructor & Destructor Documentation

## ◆ SetupICC()

Digikam::SetupICC::SetupICC | ( | QDialogButtonBox *const | dlgBtnBox,
|  | QWidget *const | parent = `nullptr`
| ) |  |
| explicit